-- MonLogiciel.applescript

--  Created by Alain Le Gallou on 10/12/07.

on clicked theObject
	(*Add your script here.*)
end clicked

on awake from nib theObject
	Notes_Init_Data()
end awake from nib






on Creation_DataSource_Notes(la_liste) --------- création de la data source et initialisation -----------
	
	-- Nous allons définir une "data source" pour stocker en mémoire RAM les données du tableau --
	-- En premier, nous définissons un pointeur sur l'objet tableau sur lequel nous allons travailler --
	set NotesObject to table view "notesTableView" of scroll view "notesScrollView" of window "Main"
	
	-- Maintenant nous définissons une "data source" associée à ce tableau --
	-- elle sera ajouter au autre data source déjà existante --
	-- On lui donne un nom pour la gestion interne --
	set NotesDataSource to make new data source at end of data sources with properties {name:"notesDS"}
	
	-- Création des colonnes de données, incluant l'information de tri pour chaque colonne --
	make new data column at end of data columns of NotesDataSource with properties {name:"Name", sort order:ascending, sort type:alphabetical, sort case sensitivity:case insensitive}
	make new data column at end of data columns of NotesDataSource with properties {name:"Description", sort order:ascending, sort type:alphabetical, sort case sensitivity:case insensitive}
	make new data column at end of data columns of NotesDataSource with properties {name:"Date", sort order:ascending, sort type:alphabetical, sort case sensitivity:case sensitive}
	make new data column at end of data columns of NotesDataSource with properties {name:"Prix", sort order:ascending, sort type:numerical, sort case sensitivity:case sensitive}
	make new data column at end of data columns of NotesDataSource with properties {name:"Col5", sort order:ascending, sort type:alphabetical, sort case sensitivity:case insensitive}
	make new data column at end of data columns of NotesDataSource with properties {name:"Col6", sort order:ascending, sort type:alphabetical, sort case sensitivity:case insensitive}
	
	-- Précisons que nous voulons trier les colonnes
	set sorted of NotesDataSource to true -- La "data source" est triée
	
	-- Définition de la colonne de tri initiale --
	set sort column of NotesDataSource to data column "Name" of NotesDataSource
	
	-- Finallement, relions la "data source" au tableau --
	set data source of NotesObject to NotesDataSource -- tableau "notesTableView"
	
	-- Stockage, par remplacement, des données dans la data source --
	append NotesDataSource with la_liste
	
end Creation_DataSource_Notes ----------------------------------------------




(* ======================= For Debug only ========================== *)




on Notes_Init_Data() ------------- Pour la première exécution ---------------------
	
	----------------------------- Liste initiale pour la démo --------------------------
	set ListeDeDemo to {{"Transmit", "FTP", date "mercredi 6 décembre 2006 0:00:00", 29, 95}, {"CDpedia", "Gestionnaire de CD", date "jeudi 11 octobre 2007 0:00:00", 16}, {"Coda", "Editeur de CSS & HTML", date "vendredi 7 décembre 2007 0:00:00", 69}}
	
	Creation_DataSource_Notes(ListeDeDemo) -- Create & load Data Source
	
end Notes_Init_Data ----------------------------------------------------------------------
(* ====================================================== *)
